Subject: [IPsec] draft-lepinski-dh-groups-02

From: <[email-masked]>
Date: Tue, 6 Nov 2007 08:25:23 +0200

Matt and Stephen,

Thanks for updating the draft! In the -02 version, I think
there's one part remaining that's slightly ambiguous:

> Use of MODP Diffie-Hellman groups with IKEv2 is defined in
> [RFC4306].  However, [RFC4306] does not specify the format of key
> exchange payloads and the derivation of shared keys for ECP
> Diffie-Hellman groups. For the ECP Diffie-Hellman groups defined in
> this document, the key exchange payload format and shared key
> derivation procedure specified in [RFC4753] MUST be used. For IKEv1,
> the use of both MODP and ECP Diffie-Hellman groups is specified in
> [RFC2409].

The IKEv2 text here is clear. However, the last sentence suggests
that when e.g. group 19 (NIST P-192) is used with IKEv1, the
KE payload format (and shared key derivation) from RFC2409 is
used. This seems to conflict with RFC 4753, which specifies
a different KE payload format for this group (i.e., Section 7
of RFC 4753 seems to apply to both IKEv1 and IKEv2).

Best regards,
Pasi

_______________________________________________
IPsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: Matt Lepinski <[email-masked]>
Date: Tue, 06 Nov 2007 09:41:43 -0500

Pasi,

Thanks for catching that. I misread RFC 4753 and thought that Section 7 
applied only to IKEv2, but upon re-reading that document it is clear you 
are correct.

I think the following text would remove the ambiguity:

"Use of MODP Diffie-Hellman groups with IKEv2 is defined in
[RFC4306] and the use of MODP groups with IKEv1 is defined in [RFC2409].
However, in the case of ECP Diffie-Hellman groups,
the format of key exchange payloads and the derivation of a shared 
secret has thus far been
specified on a group-by-group basis. For the ECP Diffie-Hellman groups 
defined in
this document, the key exchange payload format and shared key
derivation procedure specified in [RFC4753] MUST be used (with both 
IKEv2 and IKEv1)."

- Matt Lepinski

---

From: <[email-masked]>
Date: Wed, 7 Nov 2007 10:04:54 +0200

Matt,

This text (also present in -03 submitted yesterday -- 
that was quick!) looks good, and removes the ambiguity.

Best regards,
Pasi

> -----Original Message-----
> From: ext Matt Lepinski [mailto:[email-masked]] 
> Sent: 06 November, 2007 16:42
> To: Eronen Pasi (Nokia-NRC/Helsinki)
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [IPsec] Re: draft-lepinski-dh-groups-02
> 
> Pasi,
>